CBC_CTS_Mode< CIPHER > Struct Template Reference

CBC mode with ciphertext stealing. More...

`#include <modes.h>`

Inheritance diagram for CBC_CTS_Mode< CIPHER >:

## Public Types

typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Encryption, CBC_CTS_Encryption > | Encryption
typedef CipherModeFinalTemplate_CipherHolder< typename CIPHER::Decryption, CBC_CTS_Decryption > | Decryption

## Detailed Description

### template<class CIPHER>
struct CBC_CTS_Mode< CIPHER >

CBC mode with ciphertext stealing.

Definition at line 397 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h